class ComponentFactory.Krypton.Navigator.HeaderGroupMappingSecondary
   inherits ComponentFactory.Krypton.Navigator.HeaderGroupMappingBase
   implements ComponentFactory.Krypton.Toolkit.IContentValues:

   def public override property MapImage as ComponentFactory.Krypton.Navigator.MapKryptonPageImage
      get.
      set.

   def public override property MapHeading as ComponentFactory.Krypton.Navigator.MapKryptonPageText
      get.
      set.

   def public override property MapDescription as ComponentFactory.Krypton.Navigator.MapKryptonPageText
      get.
      set.

   constructor public HeaderGroupMappingSecondary(input navigator as ComponentFactory.Krypton.Navigator.KryptonNavigator, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method protected override System.Drawing.Image GetImageDefault():
   end method.

   method protected override character GetHeadingDefault():
   end method.

   method protected override character GetDescriptionDefault():
   end method.

   method protected override ComponentFactory.Krypton.Navigator.MapKryptonPageImage GetMapImageDefault():
   end method.

   method protected override ComponentFactory.Krypton.Navigator.MapKryptonPageText GetMapHeadingDefault():
   end method.

   method protected override ComponentFactory.Krypton.Navigator.MapKryptonPageText GetMapDescriptionDefault():
   end method.

end class.
