class ComponentFactory.Krypton.Toolkit.KryptonGroupPanel
   inherits ComponentFactory.Krypton.Toolkit.KryptonPanel
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods.IOleControl, System.Windows.Forms.UnsafeNativeMethods.IOleObject, System.Windows.Forms.UnsafeNativeMethods.IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods.IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods.IOleWindow, System.Windows.Forms.UnsafeNativeMethods.IViewObject, System.Windows.Forms.UnsafeNativeMethods.IViewObject2, System.Windows.Forms.UnsafeNativeMethods.IPersist, System.Windows.Forms.UnsafeNativeMethods.IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods.IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods.IPersistStorage, System.Windows.Forms.UnsafeNativeMethods.IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, ComponentFactory.Krypton.Toolkit.IKryptonDebug
   final:

   def public override property Anchor as System.Windows.Forms.AnchorStyles
      get.
      set.

   def public override property AutoSize as logical
      get.
      set.

   def public override property AutoSizeMode as System.Windows.Forms.AutoSizeMode
      get.
      set.

   def public property BorderStyle as System.Windows.Forms.BorderStyle
      get.
      set.

   def public override property Dock as System.Windows.Forms.DockStyle
      get.
      set.

   def public property DockPadding as System.Windows.Forms.ScrollableControl.DockPaddingEdges
      get.

   def public property Height as integer
      get.
      set.

   def public property Location as System.Drawing.Point
      get.
      set.

   def public property Name as character
      get.
      set.

   def public property Parent as System.Windows.Forms.Control
      get.
      set.

   def public property Size as System.Drawing.Size
      get.
      set.

   def public property TabIndex as integer
      get.
      set.

   def public property TabStop as logical
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property Width as integer
      get.
      set.

   def public property PaletteMode as ComponentFactory.Krypton.Toolkit.PaletteMode
      get.
      set.

   def public property Palette as ComponentFactory.Krypton.Toolkit.IPalette
      get.
      set.

   def public property PanelBackStyle as ComponentFactory.Krypton.Toolkit.PaletteBackStyle
      get.
      set.

   def public property StateCommon as ComponentFactory.Krypton.Toolkit.PaletteBack
      get.

   def public property StateDisabled as ComponentFactory.Krypton.Toolkit.PaletteBack
      get.

   def public property StateNormal as ComponentFactory.Krypton.Toolkit.PaletteBack
      get.

   def protected override property DefaultMargin as System.Windows.Forms.Padding
      get.

   def protected override property TransparentParent as System.Windows.Forms.Control
      get.

   def public override event AutoSizeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event DockChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event LocationChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event TabIndexChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event TabStopChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public override event VisibleChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public KryptonGroupPanel(input alignControl as System.Windows.Forms.Control, input stateCommon as ComponentFactory.Krypton.Toolkit.PaletteDoubleRedirect, input stateDisabled as ComponentFactory.Krypton.Toolkit.PaletteDouble, input stateNormal as ComponentFactory.Krypton.Toolkit.PaletteDouble, input layoutHandler as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method protected override void OnLayout(input levent as System.Windows.Forms.LayoutEventArgs):
   end method.

   method protected override void OnEnabledChanged(input e as System.EventArgs):
   end method.

   method protected override void OnAutoSizeChanged(input e as System.EventArgs):
   end method.

   method protected override void OnDockChanged(input e as System.EventArgs):
   end method.

   method protected override void OnLocationChanged(input e as System.EventArgs):
   end method.

   method protected override void OnTabIndexChanged(input e as System.EventArgs):
   end method.

   method protected override void OnTabStopChanged(input e as System.EventArgs):
   end method.

   method protected override void OnVisibleChanged(input e as System.EventArgs):
   end method.

end class.
