class ComponentFactory.Krypton.Toolkit.PaletteBorder
   inherits ComponentFactory.Krypton.Toolkit.Storage
   implements ComponentFactory.Krypton.Toolkit.IPaletteBorder:

   def public override property IsDefault as logical
      get.

   def public property Draw as ComponentFactory.Krypton.Toolkit.InheritBool
      get.
      set.

   def public property DrawBorders as ComponentFactory.Krypton.Toolkit.PaletteDrawBorders
      get.
      set.

   def public property GraphicsHint as ComponentFactory.Krypton.Toolkit.PaletteGraphicsHint
      get.
      set.

   def public property Color1 as System.Drawing.Color
      get.
      set.

   def public property Color2 as System.Drawing.Color
      get.
      set.

   def public property ColorStyle as ComponentFactory.Krypton.Toolkit.PaletteColorStyle
      get.
      set.

   def public property ColorAlign as ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign
      get.
      set.

   def public property ColorAngle as decimal
      get.
      set.

   def public property Width as integer
      get.
      set.

   def public property Rounding as integer
      get.
      set.

   def public property Image as System.Drawing.Image
      get.
      set.

   def public property ImageStyle as ComponentFactory.Krypton.Toolkit.PaletteImageStyle
      get.
      set.

   def public property ImageAlign as ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign
      get.
      set.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   constructor public PaletteBorder(input inherit as ComponentFactory.Krypton.Toolkit.IPaletteBorder, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final void SetInherit(input inherit as ComponentFactory.Krypton.Toolkit.IPaletteBorder):
   end method.

   method public final void PopulateFromBase(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.InheritBool GetBorderDraw(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteDrawBorders GetBorderDrawBorders(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteGraphicsHint GetBorderGraphicsHint(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetBorderColor1(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetBorderColor2(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteColorStyle GetBorderColorStyle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetBorderColorAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final decimal GetBorderColorAngle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final integer GetBorderWidth(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final integer GetBorderRounding(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Image GetBorderImage(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteImageStyle GetBorderImageStyle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetBorderImageAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method protected void OnPropertyChanged(input property as character):
   end method.

end class.
