class ComponentFactory.Krypton.Toolkit.PaletteHeaderGroupRedirect
   inherits ComponentFactory.Krypton.Toolkit.PaletteDoubleRedirect
   implements ComponentFactory.Krypton.Toolkit.IPaletteDouble, ComponentFactory.Krypton.Toolkit.IPaletteMetric:

   def public override property IsDefault as logical
      get.

   def public property HeaderPrimary as ComponentFactory.Krypton.Toolkit.PaletteHeaderPaddingRedirect
      get.

   def public property HeaderSecondary as ComponentFactory.Krypton.Toolkit.PaletteHeaderPaddingRedirect
      get.

   def public property OverlayHeaders as ComponentFactory.Krypton.Toolkit.InheritBool
      get.
      set.

   constructor public PaletteHeaderGroupRedirect(input redirect as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   constructor public PaletteHeaderGroupRedirect(input redirectHeaderGroup as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectHeaderPrimary as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input redirectHeaderSecondary as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final integer GetMetricInt(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricInt):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.InheritBool GetMetricBool(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricBool):
   end method.

   method public final System.Windows.Forms.Padding GetMetricPadding(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricPadding):
   end method.

end class.
