class DataPAServerSecurity.Group
   inherits System.Object
   implements DataPAServerSecurity.Group._Group, DataPASerialization.ISerializable:

   def public static variable ClassId as character.

   def public static variable InterfaceId as character.

   def public static variable EventsId as character.

   def public property Categories as Microsoft.VisualBasic.Collection
      get.
      set.

   def public property AllowLockOverride as logical
      get.
      set.

   def public property AllowSystems as logical
      get.
      set.

   def public property AllowLinks as logical
      get.
      set.

   def public property AllowSubjects as logical
      get.
      set.

   def public property AllowSetup as logical
      get.
      set.

   def public property AllowSecurity as logical
      get.
      set.

   def public property RequireSecurityPassword as logical
      get.
      set.

   def public property SecurityPassword as character
      get.
      set.

   def public property Publish as logical
      get.
      set.

   def public property Administrator as logical
      get.
      set.

   def public property Description as character
      get.
      set.

   def public property Name as character
      get.
      set.

   def public property Parent as DataPAServerSecurity.GroupsCollection
      get.
      set.

   def public property ID as character
      get.

   def public property GUID as System.Guid
      get.

   def public property DefaultGroup as logical
      get.

   def public property AdminGroup as logical
      get.

   def public property UserLevel as character
      get.
      set.

   def public property RegUser as character
      get.
      set.

   def public property RegOrganisation as character
      get.
      set.

   def public property RegSerialNum as character
      get.
      set.

   def public property RegCode as character
      get.
      set.

   constructor public Group():
   end constructor.

   constructor public Group(input Parent as DataPAServerSecurity.GroupsCollection):
   end constructor.

   constructor public Group(input Parent as DataPAServerSecurity.GroupsCollection, input Name as character):
   end constructor.

   constructor public Group(input Parent as DataPAServerSecurity.GroupsCollection, input Name as character, input Description as character):
   end constructor.

   method protected final void SetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

   method public void GetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

end class.
