class DataPAServerSecurity.GroupsCollection
   inherits System.Object
   implements DataPAServerSecurity.GroupsCollection._GroupsCollection, System.Collections.IEnumerable, System.Collections.IEnumerator, DataPASerialization.ISerializable:

   def public static variable ClassId as character.

   def public static variable InterfaceId as character.

   def public static variable EventsId as character.

   def public property Parent as DataPAServerSecurity.ServerSecurity
      get.
      set.

   def public property Count as integer
      get.

   def public property Item as DataPAServerSecurity.Group
      get.
      set.

   def public property Item as DataPAServerSecurity.Group
      get.
      set.

   def public property DefaultGroup as DataPAServerSecurity.Group
      get.

   def public property AdminGroup as DataPAServerSecurity.Group
      get.

   def public property Current as System.Object
      get.

   constructor public GroupsCollection():
   end constructor.

   constructor public GroupsCollection(input Parent as DataPAServerSecurity.ServerSecurity):
   end constructor.

   method protected final void SetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

   method public void GetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

   method public final logical Remove(input Index as integer):
   end method.

   method public final logical Remove(input ID as character):
   end method.

   method public final logical Contains(input ID as character):
   end method.

   method public final logical ContainsGroupName(input Name as character):
   end method.

   method public final void Add(input Group as DataPAServerSecurity.Group):
   end method.

   method public final void ReBuild(input IDs as System.String extent):
   end method.

   method public final System.Collections.IEnumerator GetEnumerator():
   end method.

   method public final logical MoveNext():
   end method.

   method public final void Reset():
   end method.

end class.
