class Infragistics.UltraChart.Core.Primitives.Ellipse
   inherits Infragistics.UltraChart.Core.Primitives.PrimitiveShape:

   def public variable p1 as System.Drawing.Point.

   def public variable p2 as System.Drawing.Point.

   def public property RotationAngle as integer
      get.
      set.

   constructor public Ellipse():
   end constructor.

   constructor public Ellipse(input p1 as System.Drawing.Point, input p2 as System.Drawing.Point):
   end constructor.

   constructor public Ellipse(input p1 as System.Drawing.Point, input p2 as System.Drawing.Point, input style as Infragistics.UltraChart.Shared.Styles.LineStyle):
   end constructor.

   constructor public Ellipse(input p1 as System.Drawing.Point, input radius as integer):
   end constructor.

   constructor public Ellipse(input p1 as System.Drawing.Point, input radius as integer, input style as Infragistics.UltraChart.Shared.Styles.LineStyle):
   end constructor.

   method public override logical HitTest(input point as System.Drawing.Point):
   end method.

   method public override void Highlight(input scene as Infragistics.UltraChart.Core.SceneGraph, input outlineColor as System.Drawing.Color, input fillColor as System.Drawing.Color):
   end method.

   method public final System.Drawing.Point GetCenterPoint():
   end method.

end class.
