class Infragistics.UltraChart.Resources.Appearance.LegendAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent:

   def public property Visible as logical
      get.
      set.

   def public property Location as Infragistics.UltraChart.Shared.Styles.LegendLocation
      get.
      set.

   def public property SpanPercentage as integer
      get.
      set.

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property FontColor as System.Drawing.Color
      get.
      set.

   def public property BackgroundColor as System.Drawing.Color
      get.
      set.

   def public property BorderThickness as integer
      get.
      set.

   def public property BorderColor as System.Drawing.Color
      get.
      set.

   def public property Margins as Infragistics.UltraChart.Resources.Appearance.MarginsAppearance
      get.
      set.

   def public property BorderStyle as Infragistics.UltraChart.Shared.Styles.LineDrawStyle
      get.
      set.

   def public property AlphaLevel as integer
      get.
      set.

   def public property FormatString as character
      get.
      set.

   def public property DataAssociation as Infragistics.UltraChart.Shared.Styles.ChartTypeData
      get.
      set.

   def public property MoreIndicatorText as character
      get.
      set.

   constructor public LegendAppearance():
   end constructor.

   constructor public LegendAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected final logical ShouldSerializeVisible():
   end method.

   method public final void ResetVisible():
   end method.

   method protected final logical ShouldSerializeLocation():
   end method.

   method public final void ResetLocation():
   end method.

   method protected final logical ShouldSerializeSpanPercentage():
   end method.

   method public final void ResetSpanPercentage():
   end method.

   method protected final logical ShouldSerializeFont():
   end method.

   method public final void ResetFont():
   end method.

   method protected final logical ShouldSerializeFontColor():
   end method.

   method public final void ResetFontColor():
   end method.

   method protected final logical ShouldSerializeBackgroundColor():
   end method.

   method public final void ResetBackgroundColor():
   end method.

   method protected final logical ShouldSerializeBorderThickness():
   end method.

   method public final void ResetBorderThickness():
   end method.

   method protected final logical ShouldSerializeBorderColor():
   end method.

   method public final void ResetBorderColor():
   end method.

   method protected final logical ShouldSerializeMargins():
   end method.

   method protected final logical ShouldSerializeBorderStyle():
   end method.

   method public final void ResetBorderStyle():
   end method.

   method protected final logical ShouldSerializeAlphaLevel():
   end method.

   method public final void ResetAlphaLevel():
   end method.

   method public override character ToString():
   end method.

   method protected final logical ShouldSerializeFormatString():
   end method.

   method public final void ResetFormatString():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method protected final logical ShouldSerializeDataAssociation():
   end method.

   method public final void ResetDataAssociation():
   end method.

   method protected final logical ShouldSerializeMoreIndicatorText():
   end method.

   method public final void ResetMoreIndicatorText():
   end method.

end class.
