class Infragistics.UltraChart.Resources.Appearance.ParetoChartAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartTypeAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent:

   def public property LineStyle as Infragistics.UltraChart.Shared.Styles.LineStyle
      get.
      set.

   def public property LinePE as Infragistics.UltraChart.Resources.Appearance.PaintElement
      get.
      set.

   def public property NullHandling as Infragistics.UltraChart.Shared.Styles.NullHandling
      get.
      set.

   def public property ColumnSpacing as decimal
      get.
      set.

   def public property ShowLineInLegend as logical
      get.
      set.

   def public property LineLabel as character
      get.
      set.

   constructor public ParetoChartAppearance():
   end constructor.

   constructor public ParetoChartAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected final logical ShouldSerializeLineStyle():
   end method.

   method public final void ResetLineStyle():
   end method.

   method protected final logical ShouldSerializeLinePE():
   end method.

   method public final void ResetLinePE():
   end method.

   method protected final logical ShouldSerializeNullHandling():
   end method.

   method public final void ResetNullHandling():
   end method.

   method protected final logical ShouldSerializeColumnSpacing():
   end method.

   method public final void ResetColumnSpacing():
   end method.

   method protected final logical ShouldSerializeShowLineInLegend():
   end method.

   method public final void ResetShowLineInLegend():
   end method.

   method protected final logical ShouldSerializeLineLabel():
   end method.

   method public final void ResetLineLabel():
   end method.

   method public override logical ShouldSerialize():
   end method.

   method public final void Reset():
   end method.

end class.
