class Progress.Open4GL.DynamicAPI.DataSetMetaData
   inherits Progress.Open4GL.DynamicAPI.MetaDataBase
   implements System.ComponentModel.IComponent, System.IDisposable, System.IServiceProvider, System.ComponentModel.IListSource, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, System.Runtime.Serialization.ISerializable, System.Xml.Serialization.IXmlSerializable, Progress.Open4GL.DynamicAPI.IDataTable, Progress.Open4GL.IProDataSetMetaData:

   def public variable drmd as Progress.Open4GL.DynamicAPI.DataRelationMetaData extent.

   def public variable dtmdi as Progress.Open4GL.DynamicAPI.DataTableMetaDataIndicator extent.

   def public property TableCount as integer
      get.
      set.

   def public property CodePage as character
      get.
      set.

   def public property DataSetName as character
      get.
      set.

   def public property ParmNum as integer
      get.
      set.

   def public property InOut as integer
      get.
      set.

   def public property NumRelations as integer
      get.
      set.

   def public property Flags as integer
      get.
      set.

   def public property ProDataSourceModified as logical
      get.
      set.

   def public property ProRejected as logical
      get.
      set.

   def public property XMLNamespace as character
      get.
      set.

   def public property XMLPrefix as character
      get.
      set.

   def public property ExtendedProperties as character
      get.
      set.

   def public property StrongTypeName as character
      get.
      set.

   constructor public DataSetMetaData(input id as integer):
   end constructor.

   constructor public DataSetMetaData(input id as integer, input dataSetName as character, input parmNum as integer, input inOut as integer, input strongTypeName as character):
   end constructor.

   constructor public DataSetMetaData(input mdata as Progress.Open4GL.DynamicAPI.DataSetMetaData):
   end constructor.

   method public final void addDataTable(input dtMetaData as Progress.Open4GL.DynamicAPI.DataTableMetaData):
   end method.

   method public final void addDataRelation(input drMetaData as Progress.Open4GL.DynamicAPI.DataRelationMetaData):
   end method.

   method public final static Progress.Open4GL.DynamicAPI.DataSetMetaData getDataSetMetaData(input ds as System.Data.DataSet, input parmNum as integer, input inOut as integer, input strongTypeName as character):
   end method.

   method public final static logical validate(input parmNum as integer, input dsmd1 as Progress.Open4GL.DynamicAPI.DataSetMetaData, input dsmd2 as Progress.Open4GL.DynamicAPI.DataSetMetaData, input procedureName as character):
   end method.

end class.
