class System.AppDomainManager
   inherits System.MarshalByRefObject:

   def public property InitializationFlags as System.AppDomainManagerInitializationOptions
      get.
      set.

   def public property ApplicationActivator as System.Runtime.Hosting.ApplicationActivator
      get.

   def public property HostSecurityManager as System.Security.HostSecurityManager
      get.

   def public property HostExecutionContextManager as System.Threading.HostExecutionContextManager
      get.

   def public property EntryAssembly as System.Reflection.Assembly
      get.

   constructor public AppDomainManager():
   end constructor.

   method public System.AppDomain CreateDomain(input friendlyName as character, input securityInfo as System.Security.Policy.Evidence, input appDomainInfo as System.AppDomainSetup):
   end method.

   method protected final static System.AppDomain CreateDomainHelper(input friendlyName as character, input securityInfo as System.Security.Policy.Evidence, input appDomainInfo as System.AppDomainSetup):
   end method.

   method public void InitializeNewDomain(input appDomainInfo as System.AppDomainSetup):
   end method.

   method public logical CheckSecuritySettings(input state as System.Security.SecurityState):
   end method.

end class.
