class System.Xml.Schema.XmlSchemaSet
   inherits System.Object:

   def public property NameTable as System.Xml.XmlNameTable
      get.

   def public property IsCompiled as logical
      get.

   def public property XmlResolver as System.Xml.XmlResolver
      set.

   def public property CompilationSettings as System.Xml.Schema.XmlSchemaCompilationSettings
      get.
      set.

   def public property Count as integer
      get.

   def public property GlobalElements as System.Xml.Schema.XmlSchemaObjectTable
      get.

   def public property GlobalAttributes as System.Xml.Schema.XmlSchemaObjectTable
      get.

   def public property GlobalTypes as System.Xml.Schema.XmlSchemaObjectTable
      get.

   def public event ValidationEventHandler signature void (input sender as System.Object, input e as System.Xml.Schema.ValidationEventArgs).

   constructor public XmlSchemaSet():
   end constructor.

   constructor public XmlSchemaSet(input nameTable as System.Xml.XmlNameTable):
   end constructor.

   method public final System.Xml.Schema.XmlSchema Add(input targetNamespace as character, input schemaUri as character):
   end method.

   method public final System.Xml.Schema.XmlSchema Add(input targetNamespace as character, input schemaDocument as System.Xml.XmlReader):
   end method.

   method public final void Add(input schemas as System.Xml.Schema.XmlSchemaSet):
   end method.

   method public final System.Xml.Schema.XmlSchema Add(input schema as System.Xml.Schema.XmlSchema):
   end method.

   method public final System.Xml.Schema.XmlSchema Remove(input schema as System.Xml.Schema.XmlSchema):
   end method.

   method public final logical RemoveRecursive(input schemaToRemove as System.Xml.Schema.XmlSchema):
   end method.

   method public final logical Contains(input targetNamespace as character):
   end method.

   method public final logical Contains(input schema as System.Xml.Schema.XmlSchema):
   end method.

   method public final void Compile():
   end method.

   method public final System.Xml.Schema.XmlSchema Reprocess(input schema as System.Xml.Schema.XmlSchema):
   end method.

   method public final void CopyTo(input schemas as System.Xml.Schema.XmlSchema extent, input index as integer):
   end method.

   method public final System.Collections.ICollection Schemas():
   end method.

   method public final System.Collections.ICollection Schemas(input targetNamespace as character):
   end method.

end class.
