class OpenEdge.Core.ByteBucket
implements OpenEdge.Core.ISupportInitialize:
  define public property DefaultCapacity as int64 get. set.

  define public property MAX_BYTES_PER_ROW as integer get. set.

  define public property Position as int64 get. set.

  define public property Size as int64 get. set.

  constructor public ByteBucket():
  end.

  constructor public ByteBucket(p1 as int64):
  end.

  constructor public ByteBucket(p1 as integer):
  end.

  constructor public ByteBucket(p1 as integer, p2 as int64):
  end.

  method public void Clear():
  end.

  method public void Debug():
  end.

  method public void Destroy():
  end.

  method public integer GetByte():
  end.

  method public integer GetByte(p1 as int64):
  end.

  method public openedge.core.memptr GetBytes():
  end.

  method public openedge.core.memptr GetBytes(p1 as int64):
  end.

  method public openedge.core.memptr GetBytes(p1 as int64, p2 as int64):
  end.

  method public raw GetHash():
  end.

  method public raw GetHash(p1 as openedge.core.hashalgorithmenum):
  end.

  method public longchar GetString():
  end.

  method public longchar GetString(p1 as int64):
  end.

  method public longchar GetString(p1 as int64, p2 as int64):
  end.

  method public longchar GetString(p1 as int64, p2 as int64, p3 as character):
  end.

  method public longchar GetString(p1 as int64, p2 as int64, p3 as character, p4 as character):
  end.

  method public void Initialize():
  end.

  method public static openedge.core.bytebucket Instance():
  end.

  method public static openedge.core.bytebucket Instance(p1 as int64):
  end.

  method public static openedge.core.bytebucket Instance(p1 as integer, p2 as int64):
  end.

  method public static void MergeBuckets(p1 as OpenEdge.Core.bytebucket, p2 as OpenEdge.Core.bytebucket):
  end.

  method public void PutBytes(p1 as OpenEdge.Core.bytebucket):
  end.

  method public void PutBytes(p1 as int64, p2 as int64):
  end.

  method public void PutBytes(p1 as memptr):
  end.

  method public void PutBytes(p1 as OpenEdge.Core.Memptr):
  end.

  method public void PutBytes(p1 as memptr, p2 as int64):
  end.

  method public void PutString(p1 as longchar):
  end.

  method public void PutString(p1 as longchar, p2 as longchar):
  end.

  method public void PutString(p1 as OpenEdge.Core.String):
  end.

  method public void ReadBytes(p1 as int64, p2 as memptr):
  end.

  method public void Resize(p1 as integer):
  end.

  method public void ResizeArray(p1 as integer):
  end.

  method public void WriteBytes(p1 as int64, p2 as int64):
  end.

end.
