interface OpenEdge.Net.HTTP.IHttpMessage:
   define public property CharacterEncoding as character get.

   define public property ContentLength as integer get.

   define public property ContentMD5 as raw get.

   define public property ContentType as character get.

   define public property Entity as Progress.Lang.Object get.

   define public property TransferEncoding as character get.
 
   define public property Version as character get.
 
   method public void ClearCookies().

   method public void ClearHeaders().

   method public OpenEdge.Net.HTTP.Cookie GetCookie (pcName as character).

   method public integer GetCookies(poCookies as OpenEdge.Net.HTTP.Cookie extent).

   method public OpenEdge.Net.HTTP.HttpHeader GetHeader(pcName as character).

   method public integer GetHeaders(poHeaders as OpenEdge.Net.HTTP.HttpHeader extent).

   method public logical HasCookie(pcName as character).

   method public logical HasCookie(poCookie as OpenEdge.Net.HTTP.Cookie).

   method public logical HasHeader(pcName as character).

   method public void RemoveCookie(pcName as character).

   method public void RemoveCookie(poCookie as OpenEdge.Net.HTTP.Cookie).

   method public void RemoveHeader(pcName as character).

   method public void SetCookie(poCookie as OpenEdge.Net.HTTP.Cookie).

   method public void SetHeader(poHeader as OpenEdge.Net.HTTP.HttpHeader).
end.
