class ComponentFactory.Krypton.Toolkit.ButtonImageStates
   inherits ComponentFactory.Krypton.Toolkit.Storage:

   def public override property IsDefault as logical
      get.

   def public property ImageNormal as System.Drawing.Image
      get.
      set.

   def public property ImageDisabled as System.Drawing.Image
      get.
      set.

   def public property ImagePressed as System.Drawing.Image
      get.
      set.

   def public property ImageTracking as System.Drawing.Image
      get.
      set.

   def public property ImageCheckedNormal as System.Drawing.Image
      get.
      set.

   def public property ImageCheckedPressed as System.Drawing.Image
      get.
      set.

   def public property ImageCheckedTracking as System.Drawing.Image
      get.
      set.

   constructor public ButtonImageStates():
   end constructor.

   method public final void ResetImageNormal():
   end method.

   method public final void ResetImageDisabled():
   end method.

   method public final void ResetImagePressed():
   end method.

   method public final void ResetImageTracking():
   end method.

   method public void CopyFrom(input source as ComponentFactory.Krypton.Toolkit.ButtonImageStates):
   end method.

end class.
