class Infragistics.Documents.Report.Report
   inherits System.Object:

   def public property Bookmarks as Infragistics.Documents.Report.Bookmarks.IBookmarks
      get.

   def public property Callback as Infragistics.Documents.Report.ICallback
      get.
      set.

   def public property FileBuffer as Infragistics.Documents.Utils.FileBuffer
      get.
      set.

   def public property FontLoader as Infragistics.Documents.Report.IFontLoader
      get.
      set.

   def public property FontMapper as Infragistics.Documents.Graphics.IFontMapper
      get.
      set.

   def public property ImageLoader as Infragistics.Documents.Report.IImageLoader
      get.
      set.

   def public property Info as Infragistics.Documents.Report.IInfo
      get.

   def public property MetafileLoader as Infragistics.Documents.Report.IMetafileLoader
      get.
      set.

   def public property PathResolver as Infragistics.Documents.Report.IPathResolver
      get.
      set.

   def public property Preferences as Infragistics.Documents.Report.Preferences.IPreferences
      get.

   constructor public Report():
   end constructor.

   method public final Infragistics.Documents.Report.Section.ISection AddSection():
   end method.

   method public final void AttachFile(input fileName as character, input name as character, input mimeType as character, input description as character):
   end method.

   method public final void AttachFile(input stream as System.IO.Stream, input name as character, input mimeType as character, input description as character):
   end method.

   method public final Infragistics.Documents.Report.Projection.IProjectionPageCollection Generate():
   end method.

   method public final void Load(input fileName as character):
   end method.

   method public final void Load(input stream as System.IO.Stream):
   end method.

   method public final void Load(input reader as System.IO.TextReader):
   end method.

   method public final void Load(input reader as System.Xml.XmlTextReader):
   end method.

   method public final void Print(input printerName as character):
   end method.

   method public final void Print(input printerName as character, input showPrintStatusDialog as logical):
   end method.

   method public final void Reset():
   end method.

   method public final void Publish(input fileName as character, input format as Infragistics.Documents.Report.FileFormat):
   end method.

   method public final void Publish(input stream as System.IO.Stream, input format as Infragistics.Documents.Report.FileFormat):
   end method.

   method public final void Save(input fileName as character):
   end method.

   method public final void Save(input stream as System.IO.Stream):
   end method.

   method public final void Save(input writer as System.IO.TextWriter):
   end method.

   method public final void Save(input writer as System.Xml.XmlTextWriter):
   end method.

end class.
