class Infragistics.UltraChart.Core.Layers.ChartLayer
   inherits Infragistics.UltraChart.Core.Layers.Layer
   implements Infragistics.UltraChart.Core.Layers.ILayer
   abstract:

   def protected property EmptyValues as logical
      get.
      set.

   def public property HasEmptyValues as logical
      get.

   def protected property NullHandling as Infragistics.UltraChart.Shared.Styles.NullHandling
      get.
      set.

   def public property Stacked as logical
      get.
      set.

   constructor protected ChartLayer(input component as Infragistics.UltraChart.Resources.IChartComponent, input core as Infragistics.UltraChart.Core.ChartCore):
   end constructor.

   method protected final void DrawInvalidMessage(input scene as Infragistics.UltraChart.Core.SceneGraph, input message as character):
   end method.

   method protected final logical ValidateSeriesCollectionForStackedChart(input seriesCol as Infragistics.UltraChart.Data.Series.SeriesCollection):
   end method.

   method protected Infragistics.UltraChart.Shared.Events.InterpolateValuesEventArgs InterpolateValues(input primitives as Infragistics.UltraChart.Core.Primitives.PrimitiveCollection, input type as System.Type, input arrayWidth as integer):
   end method.

   method protected Infragistics.UltraChart.Core.Primitives.PrimitiveCollection InterpolatePrimitives(input primitives as Infragistics.UltraChart.Core.Primitives.PrimitiveCollection, input type as System.Type):
   end method.

   method protected Infragistics.UltraChart.Core.Primitives.PrimitiveCollection InterpolatePrimitives(input primitives as Infragistics.UltraChart.Core.Primitives.PrimitiveCollection, input type as System.Type, input arrayWidth as integer):
   end method.

   method protected final System.Array InterpolateSimple(input e as Infragistics.UltraChart.Shared.Events.InterpolateValuesEventArgs):
   end method.

   method protected Infragistics.UltraChart.Resources.Appearance.PaintElement GetPE(input prim as Infragistics.UltraChart.Core.Primitives.Primitive, input point as Infragistics.UltraChart.Data.Series.IDataPoint, input series as Infragistics.UltraChart.Data.Series.ISeries):
   end method.

   method public Infragistics.UltraChart.Resources.Appearance.PaintElement GetPE(input prim as Infragistics.UltraChart.Core.Primitives.Primitive, input point as Infragistics.UltraChart.Data.Series.IDataPoint, input series as Infragistics.UltraChart.Data.Series.ISeries, input swapRowsAndColumns as logical):
   end method.

   method protected Infragistics.UltraChart.Core.IAdvanceAxis InitAdvanceAxis(input axisNum as Infragistics.UltraChart.Shared.Styles.AxisNumber, input worldMax as decimal, input worldMin as decimal, input screenMax as integer, input screenMin as integer):
   end method.

   method protected decimal CalculateZeroLine(input axis as Infragistics.UltraChart.Core.IAdvanceAxis):
   end method.

   method protected decimal CalculateZeroLine():
   end method.

   method public final void SetColorModel(input clrMdl as Infragistics.UltraChart.Core.ColorModel.IColorModel):
   end method.

   method public final Infragistics.UltraChart.Core.ColorModel.IColorModel GetColorModel():
   end method.

   method public override void SetData(input data as Infragistics.UltraChart.Data.IChartData):
   end method.

   method public override void FillSceneGraph(input scene as Infragistics.UltraChart.Core.SceneGraph):
   end method.

   method protected override void ValidateDataForChart():
   end method.

   method public final logical IsDataValidForChart():
   end method.

   method public override character GetDataInvalidMessage():
   end method.

   method protected void putText(input b1 as Infragistics.UltraChart.Core.Primitives.DataPoint, input scene as Infragistics.UltraChart.Core.SceneGraph, input chartTextAppearance as Infragistics.UltraChart.Resources.Appearance.ChartTextAppearance):
   end method.

end class.
