class Infragistics.UltraChart.Core.Primitives.Box
   inherits Infragistics.UltraChart.Core.Primitives.PrimitiveShape:

   /* use of a reserved keyword as a member variable cannot be modeled using the OO 4GL */
   /* def public variable rect as System.Drawing.Rectangle. */

   def public property Roundness as integer
      get.
      set.

   def public property RotationAngle as integer
      get.
      set.

   constructor public Box(input topLeft as System.Drawing.Point, input width as integer, input height as integer):
   end constructor.

   constructor public Box(input topLeft as System.Drawing.Point, input width as integer, input height as integer, input style as Infragistics.UltraChart.Shared.Styles.LineStyle):
   end constructor.

   constructor public Box(input rect as System.Drawing.Rectangle):
   end constructor.

   constructor public Box(input rect as System.Drawing.Rectangle, input style as Infragistics.UltraChart.Shared.Styles.LineStyle):
   end constructor.

   method public override logical HitTest(input point as System.Drawing.Point):
   end method.

   method public override void Highlight(input scene as Infragistics.UltraChart.Core.SceneGraph, input outlineColor as System.Drawing.Color, input fillColor as System.Drawing.Color):
   end method.

end class.
