class Infragistics.UltraChart.Data.Series.SeriesCollection
   inherits Infragistics.UltraChart.Resources.Appearance.ChartAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent, Infragistics.UltraChart.Resources.IChartCollection, System.Collections.IList, System.Collections.ICollection, System.Collections.IEnumerable, System.ICloneable, Infragistics.UltraChart.Data.IChartData, Infragistics.UltraChart.Data.IProvideGroupedLabels:

   def public property Item as Infragistics.UltraChart.Data.Series.ISeries
      get.
      set.

   def protected property List as System.Collections.ArrayList
      get.
      set.

   def public property Count as integer
      get.

   constructor public SeriesCollection():
   end constructor.

   constructor public SeriesCollection(input chartComponent as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method public final override Infragistics.UltraChart.Data.Series.SeriesCollection Clone():
   end method.

   method public override character ToString():
   end method.

   method public override void SetComponent(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end method.

   method public final integer Add(input series as Infragistics.UltraChart.Data.Series.ISeries):
   end method.

   method public final void AddRange(input items as Infragistics.UltraChart.Data.Series.ISeries extent):
   end method.

   method public final Infragistics.UltraChart.Data.Series.ISeries extent ToArray():
   end method.

   method public final integer IndexOf(input obj as System.Object):
   end method.

   method public final Infragistics.UltraChart.Data.Series.ISeries FromKey(input key as character):
   end method.

   method public final void DataBind():
   end method.

   method public final void CopyTo(input array as System.Array, input index as integer):
   end method.

   method public final System.Collections.IEnumerator GetEnumerator():
   end method.

   method public final void Clear():
   end method.

   method public final logical Contains(input obj as System.Object):
   end method.

   method public final void Remove(input obj as System.Object):
   end method.

   method public final void RemoveAt(input index as integer):
   end method.

   method public override void SetNoUpdate(input noUpdate as logical):
   end method.

   method public final System.Object GetDataMaximum(input dataType as Infragistics.UltraChart.Shared.Styles.AxisDataType):
   end method.

   method public final System.Object GetDataMinimum(input dataType as Infragistics.UltraChart.Shared.Styles.AxisDataType):
   end method.

   method public final System.Object GetMinimum(input dimension as Infragistics.UltraChart.Data.Series.DataDimension):
   end method.

   method public final System.Object GetMaximum(input dimension as Infragistics.UltraChart.Data.Series.DataDimension):
   end method.

   method public Infragistics.UltraChart.Data.Series.SeriesCollection GetVisibleSeries():
   end method.

end class.
