class Infragistics.UltraChart.Resources.Appearance.BubbleChartAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartTypeAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent:

   def public property ColorCueColumn as integer
      get.
      set.

   def public property ColumnX as integer
      get.
      set.

   def public property ColumnY as integer
      get.
      set.

   def public property ColumnZ as integer
      get.
      set.

   def public property BubbleShape as Infragistics.UltraChart.Shared.Styles.BubbleShape
      get.
      set.

   def public property NullHandling as Infragistics.UltraChart.Shared.Styles.NullHandling
      get.
      set.

   def public property SortByRadius as Infragistics.UltraChart.Shared.Styles.ChartSortType
      get.
      set.

   def public property ChartText as Infragistics.UltraChart.Resources.Appearance.ChartTextCollection
      get.

   constructor public BubbleChartAppearance():
   end constructor.

   constructor public BubbleChartAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected final logical ShouldSerializeColorCueColumn():
   end method.

   method public final void ResetColorCueColumn():
   end method.

   method protected final logical ShouldSerializeColumnX():
   end method.

   method public final void ResetColumnX():
   end method.

   method protected final logical ShouldSerializeColumnY():
   end method.

   method public final void ResetColumnY():
   end method.

   method protected final logical ShouldSerializeColumnZ():
   end method.

   method public final void ResetColumnZ():
   end method.

   method protected final logical ShouldSerializeBubbleShape():
   end method.

   method public final void ResetBubbleShape():
   end method.

   method protected final logical ShouldSerializeNullHandling():
   end method.

   method public final void ResetNullHandling():
   end method.

   method protected final logical ShouldSerializeSortByRadius():
   end method.

   method public final void ResetSortByRadius():
   end method.

   method protected final logical ShouldSerializeChartText():
   end method.

   method public final void ResetChartText():
   end method.

   method public override logical ShouldSerialize():
   end method.

end class.
