class Infragistics.UltraChart.Resources.Appearance.Hierarchical3DAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartTypeAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent, Infragistics.UltraChart.Resources.Appearance.IOthersCategory
   abstract:

   def public property Sort as Infragistics.UltraChart.Shared.Styles.SortStyle
      get.
      set.

   def public property Axis as Infragistics.UltraChart.Shared.Styles.HierarchicalChartAxis
      get.
      set.

   def public property Spacing as decimal
      get.
      set.

   def public property OthersCategoryPercent as decimal
      get.
      set.

   def public property OthersCategoryText as character
      get.
      set.

   def public property Labels as Infragistics.UltraChart.Resources.Appearance.HierarchicalChart3DLabelsAppearance
      get.

   constructor protected Hierarchical3DAppearance():
   end constructor.

   constructor protected Hierarchical3DAppearance(input chartComponent as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected logical ShouldSerializeSort():
   end method.

   method public void ResetSort():
   end method.

   method protected logical ShouldSerializeAxis():
   end method.

   method public void ResetAxis():
   end method.

   method protected logical ShouldSerializeSpacing():
   end method.

   method public void ResetSpacing():
   end method.

   method protected logical ShouldSerializeOthersCategoryPercent():
   end method.

   method public void ResetOthersCategoryPercent():
   end method.

   method protected logical ShouldSerializeOthersCategoryText():
   end method.

   method public void ResetOthersCategoryText():
   end method.

   method protected logical ShouldSerializeLabels():
   end method.

   method public void ResetLabels():
   end method.

   method public override void SetComponent(input chartComponent as Infragistics.UltraChart.Resources.IChartComponent):
   end method.

   method public override logical ShouldSerialize():
   end method.

   method public void Reset():
   end method.

end class.
