class Infragistics.UltraChart.Resources.Appearance.PieChartAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartTypeAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent, Infragistics.UltraChart.Resources.Appearance.IOthersCategory:

   def public property Concentric as logical
      get.
      set.

   def public property ConcentricSpacing as decimal
      get.
      set.

   def public property ShowConcentricLegend as logical
      get.
      set.

   def public property Labels as Infragistics.UltraChart.Resources.Appearance.PieLabelAppearance
      get.
      set.

   def public property ColumnIndex as integer
      get.
      set.

   def public property RadiusFactor as integer
      get.
      set.

   def public property StartAngle as integer
      get.
      set.

   def public property BreakDistancePercentage as integer
      get.
      set.

   def public property BreakAllSlices as logical
      get.
      set.

   def public property BreakAlternatingSlices as logical
      get.
      set.

   def public property BreakOthersSlice as logical
      get.
      set.

   def public property OthersCategoryPercent as decimal
      get.
      set.

   def public property OthersCategoryText as character
      get.
      set.

   def public property PieThickness as integer
      get.
      set.

   def public property ChartText as Infragistics.UltraChart.Resources.Appearance.ChartTextCollection
      get.

   constructor public PieChartAppearance():
   end constructor.

   constructor public PieChartAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected final logical ShouldSerializeConcentric():
   end method.

   method protected final logical ShouldSerializeConcentricSpacing():
   end method.

   method protected final logical ShouldSerializeShowConcentricLegend():
   end method.

   method public final void ResetShowConcentricLegend():
   end method.

   method public final void SetDataColumnIndex(input i as integer):
   end method.

   method protected final logical ShouldSerializeLabels():
   end method.

   method public final void ResetLabels():
   end method.

   method protected final logical ShouldSerializeColumnIndex():
   end method.

   method public final void ResetColumnIndex():
   end method.

   method protected final logical ShouldSerializeRadiusFactor():
   end method.

   method public final void ResetRadiusFactor():
   end method.

   method protected final logical ShouldSerializeStartAngle():
   end method.

   method public final void ResetStartAngle():
   end method.

   method protected final logical ShouldSerializeBreakDistancePercentage():
   end method.

   method public final void ResetBreakDistancePercentage():
   end method.

   method protected final logical ShouldSerializeBreakAllSlices():
   end method.

   method public final void ResetBreakAllSlices():
   end method.

   method protected final logical ShouldSerializeBreakAlternatingSlices():
   end method.

   method public final void ResetBreakAlternatingSlices():
   end method.

   method protected final logical ShouldSerializeBreakOthersSlice():
   end method.

   method public final void ResetBreakOthersSlice():
   end method.

   method protected final logical ShouldSerializeOthersCategoryText():
   end method.

   method protected final logical ShouldSerializeOthersCategoryPercent():
   end method.

   method public final void ResetOthersCategoryPercent():
   end method.

   method public final void ResetOthersCategoryText():
   end method.

   method public final void BreakSlice(input sliceNumber as integer, input breakSlice as logical):
   end method.

   method public final System.Collections.IList GetOnlyExplicitlyBrokenSlices():
   end method.

   method public final void BreakSliceReset():
   end method.

   method protected final logical ShouldSerializePieThickness():
   end method.

   method public final void ResetPieThickness():
   end method.

   method protected final logical ShouldSerializeChartText():
   end method.

   method public final void ResetChartText():
   end method.

   method public override logical ShouldSerialize():
   end method.

   method public override void SetComponent(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end method.

end class.
