class Infragistics.UltraChart.Resources.Appearance.ScatterChartAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartTypeAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent:

   def public variable columnXVar as integer.

   def public variable columnYVar as integer.

   def public property NullHandling as Infragistics.UltraChart.Shared.Styles.NullHandling
      get.
      set.

   def public property ConnectWithLines as logical
      get.
      set.

   def public property Icon as Infragistics.UltraChart.Shared.Styles.SymbolIcon
      get.
      set.

   def public property IconSize as Infragistics.UltraChart.Shared.Styles.SymbolIconSize
      get.
      set.

   def public property Character as character
      get.
      set.

   def public property CharacterFont as System.Drawing.Font
      get.
      set.

   def public property UseGroupByColumn as logical
      get.
      set.

   def public property GroupByColumn as integer
      get.
      set.

   def public property ColumnX as integer
      get.
      set.

   def public property ColumnY as integer
      get.
      set.

   def public property LineAppearance as Infragistics.UltraChart.Resources.Appearance.SplineAppearance
      get.
      set.

   def public property ChartText as Infragistics.UltraChart.Resources.Appearance.ChartTextCollection
      get.

   constructor public ScatterChartAppearance():
   end constructor.

   constructor public ScatterChartAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected final logical ShouldSerializeNullHandling():
   end method.

   method public final void ResetNullHandling():
   end method.

   method protected logical ShouldSerializeConnectWithLines():
   end method.

   method public void ResetConnectWithLines():
   end method.

   method protected final logical ShouldSerializeIcon():
   end method.

   method public final void ResetIcon():
   end method.

   method protected final logical ShouldSerializeIconSize():
   end method.

   method public final void ResetIconSize():
   end method.

   method protected final logical ShouldSerializeCharacter():
   end method.

   method public final void ResetCharacter():
   end method.

   method protected final logical ShouldSerializeCharacterFont():
   end method.

   method public final void ResetCharacterFont():
   end method.

   method protected final logical ShouldSerializeUseGroupByColumn():
   end method.

   method public final void ResetUseGroupByColumn():
   end method.

   method protected final logical ShouldSerializeGroupByColumn():
   end method.

   method public final void ResetGroupByColumn():
   end method.

   method protected final logical ShouldSerializeColumnX():
   end method.

   method public final void ResetColumnX():
   end method.

   method protected final logical ShouldSerializeColumnY():
   end method.

   method public final void ResetColumnY():
   end method.

   method protected final logical ShouldSerializeChartText():
   end method.

   method public final void ResetChartText():
   end method.

   method public override logical ShouldSerialize():
   end method.

   method public void Reset():
   end method.

end class.
