class System.Drawing.Rectangle
   inherits System.ValueType
   final:

   def public static variable Empty as System.Drawing.Rectangle.

   def public property Location as System.Drawing.Point
      get.
      set.

   def public property Size as System.Drawing.Size
      get.
      set.

   def public property X as integer
      get.
      set.

   def public property Y as integer
      get.
      set.

   def public property Width as integer
      get.
      set.

   def public property Height as integer
      get.
      set.

   def public property Left as integer
      get.

   def public property Top as integer
      get.

   def public property Right as integer
      get.

   def public property Bottom as integer
      get.

   def public property IsEmpty as logical
      get.

   constructor public Rectangle(input x as integer, input y as integer, input width as integer, input height as integer):
   end constructor.

   constructor public Rectangle(input location as System.Drawing.Point, input size as System.Drawing.Size):
   end constructor.

   method public final static System.Drawing.Rectangle FromLTRB(input left as integer, input top as integer, input right as integer, input bottom as integer):
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public final static System.Drawing.Rectangle Ceiling(input value as System.Drawing.RectangleF):
   end method.

   method public final static System.Drawing.Rectangle Truncate(input value as System.Drawing.RectangleF):
   end method.

   method public final static System.Drawing.Rectangle Round(input value as System.Drawing.RectangleF):
   end method.

   method public final logical Contains(input x as integer, input y as integer):
   end method.

   method public final logical Contains(input pt as System.Drawing.Point):
   end method.

   method public final logical Contains(input rect as System.Drawing.Rectangle):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public final void Inflate(input width as integer, input height as integer):
   end method.

   method public final void Inflate(input size as System.Drawing.Size):
   end method.

   method public final static System.Drawing.Rectangle Inflate(input rect as System.Drawing.Rectangle, input x as integer, input y as integer):
   end method.

   method public final void Intersect(input rect as System.Drawing.Rectangle):
   end method.

   method public final static System.Drawing.Rectangle Intersect(input a as System.Drawing.Rectangle, input b as System.Drawing.Rectangle):
   end method.

   method public final logical IntersectsWith(input rect as System.Drawing.Rectangle):
   end method.

   method public final static System.Drawing.Rectangle Union(input a as System.Drawing.Rectangle, input b as System.Drawing.Rectangle):
   end method.

   method public final void Offset(input pos as System.Drawing.Point):
   end method.

   method public final void Offset(input x as integer, input y as integer):
   end method.

   method public override character ToString():
   end method.

end class.
