class System.Drawing.RectangleF
   inherits System.ValueType
   final:

   def public static variable Empty as System.Drawing.RectangleF.

   def public property Location as System.Drawing.PointF
      get.
      set.

   def public property Size as System.Drawing.SizeF
      get.
      set.

   def public property X as decimal
      get.
      set.

   def public property Y as decimal
      get.
      set.

   def public property Width as decimal
      get.
      set.

   def public property Height as decimal
      get.
      set.

   def public property Left as decimal
      get.

   def public property Top as decimal
      get.

   def public property Right as decimal
      get.

   def public property Bottom as decimal
      get.

   def public property IsEmpty as logical
      get.

   constructor public RectangleF(input x as decimal, input y as decimal, input width as decimal, input height as decimal):
   end constructor.

   constructor public RectangleF(input location as System.Drawing.PointF, input size as System.Drawing.SizeF):
   end constructor.

   method public final static System.Drawing.RectangleF FromLTRB(input left as decimal, input top as decimal, input right as decimal, input bottom as decimal):
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public final logical Contains(input x as decimal, input y as decimal):
   end method.

   method public final logical Contains(input pt as System.Drawing.PointF):
   end method.

   method public final logical Contains(input rect as System.Drawing.RectangleF):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public final void Inflate(input x as decimal, input y as decimal):
   end method.

   method public final void Inflate(input size as System.Drawing.SizeF):
   end method.

   method public final static System.Drawing.RectangleF Inflate(input rect as System.Drawing.RectangleF, input x as decimal, input y as decimal):
   end method.

   method public final void Intersect(input rect as System.Drawing.RectangleF):
   end method.

   method public final static System.Drawing.RectangleF Intersect(input a as System.Drawing.RectangleF, input b as System.Drawing.RectangleF):
   end method.

   method public final logical IntersectsWith(input rect as System.Drawing.RectangleF):
   end method.

   method public final static System.Drawing.RectangleF Union(input a as System.Drawing.RectangleF, input b as System.Drawing.RectangleF):
   end method.

   method public final void Offset(input pos as System.Drawing.PointF):
   end method.

   method public final void Offset(input x as decimal, input y as decimal):
   end method.

   method public override character ToString():
   end method.

end class.
