class System.Security.AccessControl.CommonObjectSecurity
   inherits System.Security.AccessControl.ObjectSecurity
   abstract:

   constructor protected CommonObjectSecurity(input isContainer as logical):
   end constructor.

   method protected override logical ModifyAccess(input modification as System.Security.AccessControl.AccessControlModification, input rule as System.Security.AccessControl.AccessRule, input modified as logical):
   end method.

   method protected override logical ModifyAudit(input modification as System.Security.AccessControl.AccessControlModification, input rule as System.Security.AccessControl.AuditRule, input modified as logical):
   end method.

   method protected final void AddAccessRule(input rule as System.Security.AccessControl.AccessRule):
   end method.

   method protected final void SetAccessRule(input rule as System.Security.AccessControl.AccessRule):
   end method.

   method protected final void ResetAccessRule(input rule as System.Security.AccessControl.AccessRule):
   end method.

   method protected final logical RemoveAccessRule(input rule as System.Security.AccessControl.AccessRule):
   end method.

   method protected final void RemoveAccessRuleAll(input rule as System.Security.AccessControl.AccessRule):
   end method.

   method protected final void RemoveAccessRuleSpecific(input rule as System.Security.AccessControl.AccessRule):
   end method.

   method protected final void AddAuditRule(input rule as System.Security.AccessControl.AuditRule):
   end method.

   method protected final void SetAuditRule(input rule as System.Security.AccessControl.AuditRule):
   end method.

   method protected final logical RemoveAuditRule(input rule as System.Security.AccessControl.AuditRule):
   end method.

   method protected final void RemoveAuditRuleAll(input rule as System.Security.AccessControl.AuditRule):
   end method.

   method protected final void RemoveAuditRuleSpecific(input rule as System.Security.AccessControl.AuditRule):
   end method.

   method public final System.Security.AccessControl.AuthorizationRuleCollection GetAccessRules(input includeExplicit as logical, input includeInherited as logical, input targetType as System.Type):
   end method.

   method public final System.Security.AccessControl.AuthorizationRuleCollection GetAuditRules(input includeExplicit as logical, input includeInherited as logical, input targetType as System.Type):
   end method.

end class.
