class System.Security.AccessControl.DiscretionaryAcl
   inherits System.Security.AccessControl.CommonAcl
   implements System.Collections.ICollection, System.Collections.IEnumerable
   final:

   constructor public DiscretionaryAcl(input isContainer as logical, input isDS as logical, input capacity as integer):
   end constructor.

   constructor public DiscretionaryAcl(input isContainer as logical, input isDS as logical, input revision as integer, input capacity as integer):
   end constructor.

   constructor public DiscretionaryAcl(input isContainer as logical, input isDS as logical, input rawAcl as System.Security.AccessControl.RawAcl):
   end constructor.

   method public final void AddAccess(input accessType as System.Security.AccessControl.AccessControlType, input sid as System.Security.Principal.SecurityIdentifier, input accessMask as integer, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags):
   end method.

   method public final void SetAccess(input accessType as System.Security.AccessControl.AccessControlType, input sid as System.Security.Principal.SecurityIdentifier, input accessMask as integer, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags):
   end method.

   method public final logical RemoveAccess(input accessType as System.Security.AccessControl.AccessControlType, input sid as System.Security.Principal.SecurityIdentifier, input accessMask as integer, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags):
   end method.

   method public final void RemoveAccessSpecific(input accessType as System.Security.AccessControl.AccessControlType, input sid as System.Security.Principal.SecurityIdentifier, input accessMask as integer, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags):
   end method.

   method public final void AddAccess(input accessType as System.Security.AccessControl.AccessControlType, input sid as System.Security.Principal.SecurityIdentifier, input rule as System.Security.AccessControl.ObjectAccessRule):
   end method.

   method public final void AddAccess(input accessType as System.Security.AccessControl.AccessControlType, input sid as System.Security.Principal.SecurityIdentifier, input accessMask as integer, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags, input objectFlags as System.Security.AccessControl.ObjectAceFlags, input objectType as System.Guid, input inheritedObjectType as System.Guid):
   end method.

   method public final void SetAccess(input accessType as System.Security.AccessControl.AccessControlType, input sid as System.Security.Principal.SecurityIdentifier, input rule as System.Security.AccessControl.ObjectAccessRule):
   end method.

   method public final void SetAccess(input accessType as System.Security.AccessControl.AccessControlType, input sid as System.Security.Principal.SecurityIdentifier, input accessMask as integer, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags, input objectFlags as System.Security.AccessControl.ObjectAceFlags, input objectType as System.Guid, input inheritedObjectType as System.Guid):
   end method.

   method public final logical RemoveAccess(input accessType as System.Security.AccessControl.AccessControlType, input sid as System.Security.Principal.SecurityIdentifier, input rule as System.Security.AccessControl.ObjectAccessRule):
   end method.

   method public final logical RemoveAccess(input accessType as System.Security.AccessControl.AccessControlType, input sid as System.Security.Principal.SecurityIdentifier, input accessMask as integer, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags, input objectFlags as System.Security.AccessControl.ObjectAceFlags, input objectType as System.Guid, input inheritedObjectType as System.Guid):
   end method.

   method public final void RemoveAccessSpecific(input accessType as System.Security.AccessControl.AccessControlType, input sid as System.Security.Principal.SecurityIdentifier, input rule as System.Security.AccessControl.ObjectAccessRule):
   end method.

   method public final void RemoveAccessSpecific(input accessType as System.Security.AccessControl.AccessControlType, input sid as System.Security.Principal.SecurityIdentifier, input accessMask as integer, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags, input objectFlags as System.Security.AccessControl.ObjectAceFlags, input objectType as System.Guid, input inheritedObjectType as System.Guid):
   end method.

end class.
