class OpenEdge.Net.HTTP.ClientBuilder
inherits OpenEdge.Net.HTTP.ConfigBuilder
implements OpenEdge.Core.ISupportInitialize
abstract:
  define public static property Registry as OpenEdge.Net.HTTP.BuilderRegistry get.
  define public property Client as OpenEdge.Net.HTTP.IHttpClient get.
  define public property PROP_CLIENT_NAME as character get.
  define public property PROP_CLIENT_VERSION as character get.

  method public static OpenEdge.Net.HTTP.ClientBuilder Build():
  end.

  method public OpenEdge.Net.HTTP.IHttpClientLibrary BuildLibrary():
  end.

  method public static OpenEdge.Net.HTTP.IHttpClient DecorateClient(p1 as Progress.Lang.Class, p2 as OpenEdge.Net.HTTP.ihttpclient):
  end.

  method public static void InitializeRegistry(p1 as OpenEdge.Net.HTTP.BuilderRegistry):
  end.

  method public OpenEdge.Net.HTTP.ClientBuilder KeepCookies():
  end.

  method public OpenEdge.Net.HTTP.ClientBuilder KeepCookies(p1 as OpenEdge.Net.HTTP.ICookieJar):
  end.

  method public OpenEdge.Net.HTTP.ClientBuilder Named(p1 as character, p2 as character):
  end.

  method public OpenEdge.Net.HTTP.ClientBuilder SetNumRetries(p1 as integer):
  end.

  method public OpenEdge.Net.HTTP.ClientBuilder SetRequestTimeout(p1 as decimal):
  end.

  method public OpenEdge.Net.HTTP.ClientBuilder SetRetryPause(p1 as decimal):
  end.

  method public OpenEdge.Net.HTTP.ClientBuilder UsingLibrary(p1 as OpenEdge.Net.HTTP.IHttpClientLibrary):
  end.

  method public OpenEdge.Net.HTTP.ClientBuilder UsingLogger(p1 as openedge.logging.ilogwriter):
  end.

  method public OpenEdge.Net.HTTP.ClientBuilder ViaProxy(p1 as character):
  end.

  method public OpenEdge.Net.HTTP.ClientBuilder ViaProxy(p1 as OpenEdge.Net.URI):
  end.

end.
