
class Progress.Lang.Class
inherits Progress.Lang.Object:

   define property Package as character
      get.
   
   define property SuperClass as Progress.Lang.Class
      get.
   
   define property TypeName as character
      get.
      
   constructor private Class():
   end constructor.

   /* the actual GetPropertyValue() return type is variable (it depends on the */
   /* property, but we are encoding it as Object until we have a better solution */
   method public Progress.Lang.Object GetPropertyValue(input pname as character):
   end.
   
   method public static Progress.Lang.Class GetClass(input clsname as character):
   end method.
   
   method public character GetEnumNames():
   end method.
   
   method public character GetEnumValues():
   end method.

   method public logical HasStatics():
   end method.
   
   method public logical HasWidgetPool():
   end method.
   
   /* the actual Invoke() return type is variable (it depends on the */
   /* method invoked, but we are encoding it as Object until we have */
   /* a better solution */
   method public Progress.Lang.Object Invoke(input obj-instance as Progress.Lang.Object,
                                             input method-name as character):
   end method.
   
   method public Progress.Lang.Object Invoke(input obj-instance as Progress.Lang.Object,
                                             input method-name as character,
                                             input parm-list as Progress.Lang.ParameterList):
   end method.
   
   method public Progress.Lang.Object Invoke(input method-name as character):
   end method.
   
   method public Progress.Lang.Object Invoke(input method-name as character,
                                             input parm-list as Progress.Lang.ParameterList):
   end method.
   
   method public logical IsA(input obj-instance as Progress.Lang.Class):
   end method.

   method public logical IsA(input type-name as character):
   end method.

   method public logical IsAbstract():
   end method.
   
   method public logical IsFinal():
   end method.
   
   method public logical IsInterface():
   end method.
   
   method public Progress.Lang.Object New():
   end method.
   
   method public Progress.Lang.Object New(input parm-list as Progress.Lang.ParameterList):
   end method.
   
end class.
